POLYTYPE_GCOL(3)

NAME
POLYTYPE_GCOL - Polygon rendering mode type Allegro game programming library.

SYNOPSIS
#include <allegro.h>

#define POLYTYPE_GCOL

DESCRIPTION
A single-color gouraud shaded polygon. The colors for each vertex are taken from the `c' value, and interpolated across the polygon. This is very fast, but will only work in 256-color modes if your palette contains a smooth gradient between the colors. In truecolor modes it interprets the color as a packed, display-format value as produced by the makecol() function.

SEE ALSO
polygon3d(3), makecol(3), ex3d(3), exscn3d(3), exzbuf(3)